package com.osgi.bundle;

import java.util.List;
import java.util.Arrays;
import java.util.ArrayList;

import org.osgi.util.tracker.ServiceTracker;

import com.osgi.service.CurrencyImpl;

public class ExchangeImpl implements IExchange
{
    private final ServiceTracker<Object, Object> serviceTracker;

	public ExchangeImpl (ServiceTracker<Object, Object> tracker)
	{
		serviceTracker = tracker;
	}

	public List<String> getCurrencies()
	{
		CurrencyImpl service = (CurrencyImpl) serviceTracker.getService();
        if (service == null) {
        	System.out.println ("service is null");
            return new ArrayList<String>();
        }
        return Arrays.asList(service.listCurrencies());
	}
}
