package com.osgi.service;

import java.util.Properties;

import org.osgi.framework.BundleContext;
import org.osgi.framework.BundleActivator;
import org.osgi.framework.ServiceRegistration;

public class CurrencyActivator implements BundleActivator 
{
    ServiceRegistration sr;
    
    public void start(BundleContext context) throws Exception 
    {
        // создание класса реализации сервиса
    	ICurrency service = new CurrencyImpl();

    	// определение свойств сервиса
        Properties props = new Properties();
        props.put("service", "currency");
    	
        // регистрация сервиса
        sr = context.registerService(service.getName(), service, props);

        System.out.println("start service <currency>");
    }

    public void stop(BundleContext context) throws Exception
    {
    	sr.unregister();
        System.out.println("stop service <currency>");
    }
}
